seal-rest (14.37.2)

Download OpenAPI specification:

GET /

API Root

Authorizations:
(BearerAuthBasicAuth)

Responses

GET /v3/

API v3 Root

Authorizations:
(BearerAuthBasicAuth)

Responses

GET /v3/auth/userroles

Get user roles for the authenticated user

Authorizations:
(BearerAuthBasicAuth)

Responses

Response samples

Content type
application/json
{
  • "admin": {
    }
}

GET /v3/configs/

Get all user configuration information

Authorizations:
(BearerAuthBasicAuth)

Responses

Response samples

Content type
application/json
[]

PUT /v3/configs/

Change user configuration information

Authorizations:
(BearerAuthBasicAuth)
Request Body schema: application/json
required
key
string <uri>
value
object

Responses

Request samples

Content type
application/json
{}

DELETE /v3/configs/

Delete all user configuration information

Authorizations:
(BearerAuthBasicAuth)

Responses

GET /v3/flows/

Get list of all flows

Authorizations:
(BearerAuthBasicAuth)

Responses

Response samples

Content type
application/json
[
  • {
    }
]

POST /v3/flows/

Create a new customer specific flow

Authorizations:
(BearerAuthBasicAuth)
Request Body schema: application/json
required
name
string
standard
boolean
flow
string <style>

Responses

Request samples

Content type
application/json
{
  • "name": "string",
  • "standard": true,
  • "flow": "string"
}

GET /v3/flows/:name

Get full flow definition

Authorizations:
(BearerAuthBasicAuth)
path Parameters
name
required
string

Responses

Response samples

Content type
application/json
{
  • "name": "string",
  • "standard": true,
  • "flow": "string"
}

DELETE /v3/flows/:name

Delete customer specific flow

Authorizations:
(BearerAuthBasicAuth)
path Parameters
name
required
string

Responses

GET /v3/jobs/

Get full job information for queried jobs

Authorizations:
(BearerAuthBasicAuth)
query Parameters
$filter
string
$top
string
$skip
string
$select
string
$inlinecount
string
$orderby
string

Responses

Response samples

Content type
application/json
[
  • {
    }
]

GET /v3/jobs/:id

Get full job information

Authorizations:
(BearerAuthBasicAuth)
path Parameters
id
required
string

Responses

Response samples

Content type
application/json
{
  • "_id": "string",
  • "orig": {
    },
  • "current": {
    },
  • "refId": "string",
  • "fileName": [
    ],
  • "status": "string",
  • "stages": [
    ],
  • "lcCurrent": {
    }
}

DELETE /v3/jobs/:id

Delete job

Authorizations:
(BearerAuthBasicAuth)
path Parameters
id
required
string

Responses

PUT /v3/jobs/:id/cancel

Cancel job

Authorizations:
(BearerAuthBasicAuth)
path Parameters
id
required
string

Responses

GET /v3/jobs/:id/collect

Download collected job files as a gzip archive

Authorizations:
(BearerAuthBasicAuth)
path Parameters
id
required
string

Responses

GET /v3/jobs/:id/logs

Get logs for a single job

Authorizations:
(BearerAuthBasicAuth)
path Parameters
id
required
string

Responses

Response samples

Content type
application/json
{
  • "messages": [
    ]
}

GET /v3/jobs/:id/logfile

Download extended job log

Authorizations:
(BearerAuthBasicAuth)
path Parameters
id
required
string

Responses

Response samples

Content type
application/octet-stream

      2025-11-18 13:03:41.439 [I] New job arrived.
                                  Application: seal-ipp-checkin
                                  Host: 9d45c56a038d
      2025-11-18 13:03:41.853 [I] Job received.
                                  Application: seal-ipp-checkin
                                  Host: 9d45c56a038d
      2025-11-18 13:03:41.853 [I] Job metadata.
                                  Application: seal-ipp-checkin
                                  Host: 9d45c56a038d
      2025-11-18 13:03:42.084 [I] Job accepted.
                                  Application: seal-ipp-checkin
                                  Host: 9d45c56a038d
      ...
      2025-11-18 13:03:42.656 [I] Cleanup
                                  Application: seal-bodyscanner
                                  Host: 5e0e4db04d46
      2025-11-18 13:03:42.664 [I] Stop polling stream properties
                                  Application: seal-controller
                                  Host: ed35a3a31f9f
      2025-11-18 13:03:42.684 [I] Set job status
                                  Application: seal-controller
                                  Host: ed35a3a31f9f
      

PUT /v3/jobs/:id/move

Move job to another printer

Authorizations:
(BearerAuthBasicAuth)
path Parameters
id
required
string
Request Body schema: application/json
required
targetPrinter
string
targetServer
string

Responses

Request samples

Content type
application/json
{
  • "targetPrinter": "string",
  • "targetServer": "string"
}

PUT /v3/jobs/:id/pause

Pause job

Authorizations:
(BearerAuthBasicAuth)
path Parameters
id
required
string

Responses

PUT /v3/jobs/:id/repeat

Repeat job

Authorizations:
(BearerAuthBasicAuth)
path Parameters
id
required
string

Responses

PUT /v3/jobs/:id/resume

Resume job

Authorizations:
(BearerAuthBasicAuth)
path Parameters
id
required
string

Responses

PUT /v3/jobs/:id/tempfiles

Set whether to save temporary files for the job

Authorizations:
(BearerAuthBasicAuth)
path Parameters
id
required
string
Request Body schema: application/json
required
saveTempFiles
boolean

Responses

Request samples

Content type
application/json
{
  • "saveTempFiles": true
}

GET /v3/jobs/:id/pageinfo

Get page information for a job

Authorizations:
(BearerAuthBasicAuth)
path Parameters
id
required
string

Responses

Response samples

Content type
application/json
[
  • "string"
]

GET /v3/jobs/:id/preview

Get preview information for a job

Authorizations:
(BearerAuthBasicAuth)
path Parameters
id
required
string

Responses

Response samples

Content type
application/json
{
  • "pages": 0,
  • "mimeType": "string"
}

GET /v3/jobs/metadata

Get metadata for jobs

Authorizations:
(BearerAuthBasicAuth)

Responses

Response samples

Content type
application/json
[
  • { }
]

GET /v3/printers/

Get all printer information

Authorizations:
(BearerAuthBasicAuth)
query Parameters
$filter
string
$top
string
$skip
string
$select
string
$inlinecount
string
$orderby
string

Responses

Response samples

Content type
application/json
[
  • {
    }
]

POST /v3/printers/

Add a new printer

Authorizations:
(BearerAuthBasicAuth)
Request Body schema: application/json
required
_id
string
object
object

Responses

Request samples

Content type
application/json
{
  • "_id": "string",
  • "config": {
    },
  • "runtime": {
    }
}

GET /v3/printers/config

Get all printer PPD configuration

Authorizations:
(BearerAuthBasicAuth)

Responses

Response samples

Content type
application/json
[
  • {
    }
]

POST /v3/printers/config

printer PPD configuration

Authorizations:
(BearerAuthBasicAuth)
Request Body schema: application/json
required
configName
string
content
string

Responses

Request samples

Content type
application/json
{
  • "configName": "string",
  • "content": "string"
}

GET /v3/printers/config/:configName

Get single printer PPD configuration

Authorizations:
(BearerAuthBasicAuth)
path Parameters
configName
required
string

Responses

Response samples

Content type
application/json
{
  • "_id": "string",
  • "configName": "string",
  • "content": "string",
  • "lastChanged": 0
}

PUT /v3/printers/config/:configName

Change single printer PPD configuration

Authorizations:
(BearerAuthBasicAuth)
path Parameters
configName
required
string
Request Body schema: application/json
required
content
string

Responses

Request samples

Content type
application/json
{
  • "content": "string"
}

Response samples

Content type
application/json
{
  • "_id": "string",
  • "configName": "string",
  • "content": "string",
  • "lastChanged": 0
}

DELETE /v3/printers/config/:configName

Delete single printer PPD configuration

Authorizations:
(BearerAuthBasicAuth)
path Parameters
configName
required
string

Responses

GET /v3/printers/:printerName

Get information for a single printer

Authorizations:
(BearerAuthBasicAuth)
path Parameters
printerName
required
string

Responses

Response samples

Content type
application/json
{
  • "_id": "string",
  • "config": {
    },
  • "runtime": {
    }
}

PUT /v3/printers/:printerName

Change printer information

Authorizations:
(BearerAuthBasicAuth)
path Parameters
printerName
required
string
Request Body schema: application/json
required
_id
string
object
object

Responses

Request samples

Content type
application/json
{
  • "_id": "string",
  • "config": {
    },
  • "runtime": {
    }
}

DELETE /v3/printers/:printerName

Delete single printer

Authorizations:
(BearerAuthBasicAuth)
path Parameters
printerName
required
string

Responses

POST /v3/printers/checkconnection

Checks the connection status of a specific printer.

Authorizations:
(BearerAuthBasicAuth)
query Parameters
printer
required
string
Example: printer=printer1

The name of the printer to check the connection for.

Responses

Response samples

Content type
application/json
{
  • "message": "string",
  • "code": "string",
  • "ipAddress": "string",
  • "testedConnection": "http://example.com"
}

PUT /v3/printers/:printerName/checkPhysical

Check physical connection to printer

Authorizations:
(BearerAuthBasicAuth)
path Parameters
printerName
required
string

Responses

PUT /v3/printers/:printerName/createTestJob

Create a test job on the printer

Authorizations:
(BearerAuthBasicAuth)
path Parameters
printerName
required
string

Responses

GET /v3/printers/:printerName/logs

Get logs for a single printer

Authorizations:
(BearerAuthBasicAuth)
path Parameters
printerName
required
string

Responses

Response samples

Content type
application/json
{
  • "messages": [
    ]
}

PUT /v3/printers/:printerName/message

Set administrator message for a printer

Authorizations:
(BearerAuthBasicAuth)
path Parameters
printerName
required
string
Request Body schema: application/json
required
object

Responses

Request samples

Content type
application/json
{
  • "message": {
    }
}

DELETE /v3/printers/:printerName/message

Delete administrator message of a printer

Authorizations:
(BearerAuthBasicAuth)
path Parameters
printerName
required
string

Responses

PUT /v3/printers/:printerName/pause

Pause printer

Authorizations:
(BearerAuthBasicAuth)
path Parameters
printerName
required
string

Responses

PUT /v3/printers/:printerName/redirect

Redirect printer to another printer

Authorizations:
(BearerAuthBasicAuth)
path Parameters
printerName
required
string
Request Body schema: application/json
required
targetPrinter
string
targetServer
string

Responses

Request samples

Content type
application/json
{
  • "targetPrinter": "string",
  • "targetServer": "string"
}

PUT /v3/printers/:printerName/resume

Resume printer

Authorizations:
(BearerAuthBasicAuth)
path Parameters
printerName
required
string

Responses

PUT /v3/printers/:printerName/runtime

Change runtime status of a printer

Authorizations:
(BearerAuthBasicAuth)
path Parameters
printerName
required
string
Request Body schema: application/json
required
status
string

Responses

Request samples

Content type
application/json
{
  • "status": "string"
}

GET /v3/printers/metadata

Get metadata for printers

Authorizations:
(BearerAuthBasicAuth)

Responses

Response samples

Content type
application/json
[
  • { }
]

GET /v3/statistics/job-count

Get job count statistics

Authorizations:
(BearerAuthBasicAuth)

Responses

Response samples

Content type
application/json
[
  • {
    }
]

GET /v3/statistics/job-series

Get job series statistics

Authorizations:
(BearerAuthBasicAuth)

Responses

Response samples

Content type
application/json
[
  • {
    }
]

GET /v3/statistics/metadata

Get statistics metadata information

Authorizations:
(BearerAuthBasicAuth)

Responses

Response samples

Content type
application/json
{
  • "rows": 0,
  • "columns": 0,
  • "availableWidgetSizes": [
    ],
  • "widgets": [
    ]
}

GET /v3/statistics/printer-count

Get printer count statistics

Authorizations:
(BearerAuthBasicAuth)

Responses

Response samples

Content type
application/json
[
  • {
    }
]

GET /openapi

Get OpenAPI specification in JSON format

Authorizations:
(BearerAuthBasicAuth)

Responses

Response samples

Content type
application/json
{
  • "openapi": "string",
  • "info": {
    },
  • "servers": [],
  • "paths": {
    }
}

GET /openapi.yaml

Download OpenAPI specification in YAML format

Authorizations:
(BearerAuthBasicAuth)

Responses

Response samples

Content type
application/yaml
openapi: 3.0.3
info:
  title: Example API
  description: This is the OpenAPI specification for the Example API.
  version: 1.0.0
servers:
  - url: https://api.example.com/v1
    description: Production server
  - url: https://staging.api.example.com/v1
    description: Staging server
paths:
  /v3/openapi/swaggerfile:
    get:
      summary: Download the Swagger file
      description: This route allows downloading the Swagger file.
      responses:
        '200':
          description: Successful download of the Swagger file
          content:
            application/octet-stream:
              schema:
                type: string
                format: binary
            application/json:
              schema:
                type: object

GET /swagger

Get OpenAPI specification in JSON format

Authorizations:
(BearerAuthBasicAuth)

Responses

Response samples

Content type
application/json
{
  • "openapi": "string",
  • "info": {
    },
  • "servers": [],
  • "paths": {
    }
}

GET /swagger.yaml

Download OpenAPI specification in YAML format

Authorizations:
(BearerAuthBasicAuth)

Responses

Response samples

Content type
application/yaml
openapi: 3.0.3
info:
  title: Example API
  description: This is the OpenAPI specification for the Example API.
  version: 1.0.0
servers:
  - url: https://api.example.com/v1
    description: Production server
  - url: https://staging.api.example.com/v1
    description: Staging server
paths:
  /v3/openapi/swaggerfile:
    get:
      summary: Download the Swagger file
      description: This route allows downloading the Swagger file.
      responses:
        '200':
          description: Successful download of the Swagger file
          content:
            application/octet-stream:
              schema:
                type: string
                format: binary
            application/json:
              schema:
                type: object